<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.17"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>print() for C++20: include/print_ostream.h File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">print() for C++20
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.17 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_d44c64559bbebec7f509842c48db8b23.html">include</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#func-members">Functions</a>  </div>
  <div class="headertitle">
<div class="title">print_ostream.h File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="textblock"><code>#include &quot;<a class="el" href="print_8h_source.html">print.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="print__options_8h_source.html">print_options.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="print__concepts_8h_source.html">print_concepts.h</a>&quot;</code><br />
</div><div class="textblock"><div class="dynheader">
Include dependency graph for print_ostream.h:</div>
<div class="dyncontent">
<div class="center"><img src="print__ostream_8h__incl.png" border="0" usemap="#include_2print__ostream_8h" alt=""/></div>
<map name="include_2print__ostream_8h" id="include_2print__ostream_8h">
<area shape="rect" title=" " alt="" coords="227,5,403,32"/>
<area shape="rect" href="print_8h.html" title=" " alt="" coords="283,80,347,107"/>
<area shape="rect" href="print__options_8h.html" title=" " alt="" coords="211,229,330,256"/>
<area shape="rect" href="print__concepts_8h.html" title=" " alt="" coords="481,229,610,256"/>
<area shape="rect" title=" " alt="" coords="5,304,80,331"/>
<area shape="rect" href="print__atom_8h.html" title=" " alt="" coords="262,155,367,181"/>
<area shape="rect" href="print__list_8h.html" title=" " alt="" coords="392,155,483,181"/>
<area shape="rect" title=" " alt="" coords="392,379,451,405"/>
<area shape="rect" title=" " alt="" coords="105,304,181,331"/>
<area shape="rect" title=" " alt="" coords="205,304,283,331"/>
<area shape="rect" href="terminalcolors_8h.html" title=" " alt="" coords="357,304,485,331"/>
<area shape="rect" title=" " alt="" coords="613,379,693,405"/>
<area shape="rect" title=" " alt="" coords="675,304,755,331"/>
<area shape="rect" title=" " alt="" coords="560,304,651,331"/>
</map>
</div>
</div>
<p><a href="print__ostream_8h_source.html">Go to the source code of this file.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:a670aaa05fc603184550c8c3728791492"><td class="memTemplParams" colspan="2"><a id="a670aaa05fc603184550c8c3728791492"></a>
template&lt;class T &gt; </td></tr>
<tr class="memitem:a670aaa05fc603184550c8c3728791492"><td class="memTemplItemLeft" align="right" valign="top">&#160;</td><td class="memTemplItemRight" valign="bottom"><b>requires</b> (concepts::DefaultPrintable&lt; T &gt;==false) std</td></tr>
<tr class="separator:a670aaa05fc603184550c8c3728791492"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>defines an ostream operator that will use the print function to print anything to an ostream. NOTE: This is a somewhat experimental feature. </p>
</div></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.17
</small></address>
</body>
</html>
